<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC

@author: rodrigo.hernandez

@CU CU-SA-AC-064 Generar Reporte de Control de Calidad de Territorial

@MB GeneracionReporteControlCalidadMB

-->

<h:form id="generarReporteControlCalidadTerritorialForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <p:spacer height="5" />

    <p:fieldset id="grcctMainFS">

        <p:messages id="msgsGROCC" showDetail="false" globalOnly="false" />

        <h:panelGrid columns="4" cellspacing="7" width="100%"
                     columnClasses="colPequena, colMediana, colPequena, colMediana">

            <h:outputLabel value="Número Oficina:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generarReporteControlCalidadTerritorial.territorialAvaluo.codigo}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Fecha reporte:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generarReporteControlCalidadTerritorial.revisionCC.fecha}"
                styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
            </h:outputText>

            <h:outputLabel value="Departamento:" styleClass="outputLabelStyle" />
            <p:commandLink
                value="#{generarReporteControlCalidadTerritorial.avaluo.avaluoPredios[0].departamento.nombre}"
                rendered="#{generarReporteControlCalidadTerritorial.avaluo.tienePrediosEnDiferentesDeptos}"
                styleClass="commandLinkStyle"
                action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                update=":consultarDepartamentosMunicipioForm"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide();
                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                <f:setPropertyActionListener
                    value="#{generarReporteControlCalidadTerritorial.avaluo}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>
            <h:outputText styleClass="outputTextStyle"
                          rendered="#{!generarReporteControlCalidadTerritorial.avaluo.tienePrediosEnDiferentesDeptos}"
                          value="#{generarReporteControlCalidadTerritorial.avaluo.avaluoPredios[0].departamento.codigo} - 
                          #{generarReporteControlCalidadTerritorial.avaluo.avaluoPredios[0].departamento.nombre}" />

            <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
            <p:commandLink
                value="#{generarReporteControlCalidadTerritorial.avaluo.avaluoPredios[0].municipio.nombre}"
                rendered="#{generarReporteControlCalidadTerritorial.avaluo.tienePrediosEnDiferentesDeptos}"
                styleClass="commandLinkStyle"
                action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                update=":consultarDepartamentosMunicipioForm"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide();
                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                <f:setPropertyActionListener
                    value="#{generarReporteControlCalidadTerritorial.avaluo}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>
            <h:outputText styleClass="outputTextStyle"
                          rendered="#{!generarReporteControlCalidadTerritorial.avaluo.tienePrediosEnDiferentesDeptos}"
                          value="#{generarReporteControlCalidadTerritorial.avaluo.avaluoPredios[0].municipio.codigo} - 
                          #{generarReporteControlCalidadTerritorial.avaluo.avaluoPredios[0].municipio.nombre}" />

            <h:outputLabel value="Sec. radicado:" styleClass="outputLabelStyle" />
            <p:commandLink styleClass="commandLinkStyle"
                           action="#{consultaInformacionSolicitud.consultarSecRadicado}"
                           update=":isCC:infoSolicitudTV" onstart="statusDialog2.show();"
                           oncomplete="infoSolicitudCCWV.show(); statusDialog2.hide()"
                           value="#{generarReporteControlCalidadTerritorial.avaluo.secRadicado}">
                <f:setPropertyActionListener
                    value="#{generarReporteControlCalidadTerritorial.avaluo.secRadicado}"
                    target="#{consultaInformacionSolicitud.numeroSecRadicado}" />
            </p:commandLink>

            <h:outputLabel value="Solicitante:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generarReporteControlCalidadTerritorial.avaluo.solicitante.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Nombre avaluador:"
                           styleClass="outputLabelStyle" />
            <p:commandLink
                value="#{generarReporteControlCalidadTerritorial.avaluo.avaluadores[0].nombreCompleto}"
                styleClass="commandLinkStyle"
                action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                update=":consultarAvaluadoresAsignadosPG"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide();
                infoAvaluadoresAsignadosWV.show();"
                rendered="#{generarReporteControlCalidadTerritorial.avaluo.tieneMultiplesAvaluadores}">
                <f:setPropertyActionListener
                    value="#{generarReporteControlCalidadTerritorial.avaluo.secRadicado}"
                    target="#{consultarAvaluadoresAsignados.secRadicado}" />
            </p:commandLink>
            <h:outputText
                rendered="#{!generarReporteControlCalidadTerritorial.avaluo.tieneMultiplesAvaluadores}"
                value="#{generarReporteControlCalidadTerritorial.avaluo.avaluadores[0].nombreCompleto}" />

            <h:outputLabel value="Profesional control calidad:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generarReporteControlCalidadTerritorial.profesionalControlCalidad.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Director Territorial:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generarReporteControlCalidadTerritorial.directorTerritorial.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Territorial:" styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          id="TerritorialesConDireccionGeneral-1"
                          value="#{generarReporteControlCalidadTerritorial.territorialAvaluo.codigo}">
                <f:converter converterId="converterCB"
                             for="TerritorialesConDireccionGeneral-1" />
            </h:outputText>

            <h:outputLabel value="No. revisión:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{generarReporteControlCalidadTerritorial.revisionCC.numero}"
                styleClass="outputTextStyle" />

        </h:panelGrid>

        <p:spacer height="15" />

        <legend>
            <h:outputText value="Información predial" styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="1" cellspacing="7" width="100%">


            <p:dataTable id="prediosDT"
                         value="#{generarReporteControlCalidadTerritorial.prediosAvaluo}"
                         var="predio" paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                         rowKey="#{predio.id}"
                         emptyMessage="No se encontraron predios asociados al avalúo">

                <f:facet name="header">
                    Predios asociados al avalúo
                </f:facet>

                <p:column headerText="Departamento">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predio.departamento.nombre}" />
                </p:column>

                <p:column headerText="Municipio">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predio.municipio.nombre}" />
                </p:column>

                <p:column headerText="Número predial">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predio.numeroPredial}" />
                </p:column>

                <p:column headerText="Matrícula inmobiliaria">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predio.matriculaInmobiliaria}" />
                </p:column>

                <p:column headerText="Dirección">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predio.direccionPrincipal}" />
                </p:column>

            </p:dataTable>

        </h:panelGrid>

        <p:spacer height="10" />

        <h:panelGrid cellspacing="7" columns="6">

            <p:commandButton value="Aceptar" icon="ui-icon-check"
                             disabled="#{generarReporteControlCalidadTerritorial.banderaOficioGenerado}"
                             action="#{generarReporteControlCalidadTerritorial.confirmarOficio}"
                             onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                             update=":generarReporteControlCalidadTerritorialForm" />

            <p:commandButton
                disabled="#{!generarReporteControlCalidadTerritorial.banderaOficioGenerado}"
                value="Enviar reporte de control de calidad a avaluador"
                icon="ui-icon-mail-closed"
                action="#{generarReporteControlCalidadTerritorial.enviarOficio}"
                onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                update=":generarReporteControlCalidadTerritorialForm" />

            <p:commandButton value="Vista previa"
                             disabled="#{!generarReporteControlCalidadTerritorial.banderaOficioGenerado}"
                             icon="ui-icon-search"
                             action="#{generarReporteControlCalidadTerritorial.verVistaPrevia}"
                             update=":viewMemo:vistaMemoForm"
                             onstart="statusDialog2.show();memorandoWV.show()"
                             oncomplete="statusDialog2.hide();">
            </p:commandButton>

            <p:commandButton value="Cancelar"
                             icon="ui-icon-close"
                             action="#{generarReporteControlCalidadTerritorial.cancelarGenaracionOficio}"
                             update=":viewMemo:vistaMemoForm"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide(); reporteControlCalidadTerritorialWV.hide();">
            </p:commandButton>
        </h:panelGrid>
    </p:fieldset>


</h:form>